### Method

# PangoOT Info find_language

#### Declaration [src]

    gboolean
    pango_ot_info_find_language (
      PangoOTInfo* info,
      PangoOTTableType table_type,
      guint script_index,
      PangoOTTag language_tag,
      guint* language_index,
      guint* required_feature_index
    )

#### Description [src]

Finds the index of a language and its required feature index.

If the language is not found, sets `language_index` to `PANGO_OT_DEFAULT_LANGUAGE` and the required feature of the default language system is returned in required_feature_index. For best compatibility with some fonts, also searches the language system tag ‘dflt’ before falling back to the default language system, but that is transparent to the user. The user can simply ignore the return value of this function to automatically fall back to the default language system.

#### Parameters

`table_type`

  Type: `PangoOTTableType`

  The table type to obtain information about.

`script_index`

  Type: `guint`

  The index of the script whose languages are searched.

`language_tag`

  Type: `PangoOTTag`

  The tag of the language to find.

`language_index`

  Type: `guint*`

  Location to store the index of the language.

  The argument will be set by the function.
  The argument can be `NULL`.

`required_feature_index`

  Type: `guint*`

  Location to store the required feature index of the language.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if the language was found.